#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#ifndef UPDateDlgH
#define UPDateDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "Ftpcli.hpp"
#include <vcl\ComCtrls.hpp>
#include <vcl\FileCtrl.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall RunUpdateExpress(TForm *MainForm, bool &Cancel);

class TUPDateQsDlg : public TForm
{
__published:	// IDE-managed Components
  TBevel *Bevel1;
  TButton *CancelBtn;
  TButton *NextBtn;
  TNotebook *Notebook1;
  TButton *BackBtn;
  TLabel *Label2;
  TRichEdit *RichEdit1;
  TPanel *Panel3;
  TListBox *ListBox1;
  THeaderControl *HeaderControl1;
  TComboBox *FtpSite;
  TButton *EditBtn;
  TLabel *Label1;
  TLabel *Label3;
  TLabel *Label4;
  TFileListBox *FileListBox1;
  TDriveComboBox *DriveComboBox1;
  TDirectoryListBox *DirectoryListBox1;
  TLabel *Label5;
  TFilterComboBox *FilterComboBox1;
  TLabel *Label6;
  TEdit *HostName;
  TEdit *HostPort;
  TLabel *Label8;
  TLabel *Label9;
  TEdit *UserName;
  TLabel *Label10;
  TEdit *Password;
  TLabel *Label11;
  TCheckBox *PassiveBox;
  TRichEdit *RichEdit2;
  TRadioButton *TransProxy;
  TRadioButton *ClassProxy;
  TLabel *Label13;
  TRadioButton *UserProxy;
  TEdit *HostDir;
  TRadioButton *NoProxy;
  TImageList *ImageList1;
  TButton *ProxyBtn;
  TRichEdit *RichEdit3;
  TRichEdit *RichEdit4;
  TLabel *Label7;
  TPopupMenu *PopupMenu;
  TMenuItem *PopupDeleteItem;
  void __fastcall NextBtnClick(TObject *Sender);
  
  void __fastcall EditBtnClick(TObject *Sender);
  void __fastcall BackBtnClick(TObject *Sender);
  void __fastcall ListBox1Click(TObject *Sender);
  void __fastcall FileListBox1Click(TObject *Sender);
  void __fastcall TransProxyClick(TObject *Sender);
  void __fastcall ClassProxyClick(TObject *Sender);
  void __fastcall UserProxyClick(TObject *Sender);
  void __fastcall ProxyBtnClick(TObject *Sender);
  void __fastcall UserProxyExit(TObject *Sender);
  void __fastcall FtpSiteChange(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall NoProxyClick(TObject *Sender);
  void __fastcall PopupMenuPopup(TObject *Sender);
  void __fastcall PopupDeleteItemClick(TObject *Sender);
  void __fastcall ListBox1DrawItem(TWinControl *Control, int Index, TRect &Rect,
  TOwnerDrawState State);
  
private:	// User declarations
public:		// User declarations
   TForm *MainForm;
   TStringList *FTPfields;
   AnsiString LocalName; // localname of file to run
   bool DbEncrypted,runQS;
   __fastcall TUPDateQsDlg(TComponent* Owner);
   __fastcall virtual ~TUPDateQsDlg();
   bool __fastcall Exec95Zip(AnsiString &ZipFileName);
   AnsiString __fastcall ProxyHost();
   bool __fastcall ProxyChecked();
   void __fastcall StoreUserProxy(TStrings *fields);
   void __fastcall LoadUserProxy(TStrings *fields);
   void __fastcall SetFieldsNoProxy();
   void __fastcall SetFieldsProxy();
};
//---------------------------------------------------------------------------
extern TUPDateQsDlg *UPDateQsDlg;
//---------------------------------------------------------------------------
#endif
